input,
select,
textarea{
	min-width: 75px;
}
input[type=checkbox], 
input[type=radio]{
	min-width: auto;
}
#pre_loader {
	background-repeat: no-repeat;
    background-size: 150px;
    background-position: center center;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(255,255,255,0.75);
    z-index: 9999999;
    display: none;
}
#pre_loader h2{
	position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    font-size: 40px;
    font-weight: 600;
}
a:hover{
	text-decoration: none;
}
.top-info{
	font-size: 12px;
}
.top-info .icon{
	justify-content: flex-end;
	column-gap: 5px;
}
.top-info .icon img{
	max-width: 20px;
}
.mob-sub-menu{
	padding-left: 25px;
}
.notification-bar{
	position: relative;
}
.notification-bdg{
	background: #f00;
    color: #fff;
    width: 15px;
    height: 15px;
    display: block;
    border-radius: 50%;
    text-align: center;
    position: absolute;
    top: -7px;
    right: -5px;
    z-index: 99;
}
.notification-bdg.on-row{
	top: 5px;
    right: 5px;
}
.notification-link{
	position: relative;
}
.auth-thumb{
	max-width: 30px;
    max-height: 30px;
    margin-left: 7px;
    border-radius: 100px;
    overflow: hidden;
}
.cus-drop-down{
	height: 65px;
	color: rgb(17 24 39 / 1);
}
.main_logo{
	max-width: 50px;
}
.border-indigo-400{
	border-color: #D80017;
}
.max-width-100{
	max-width: 100px;
}
.vp-header{
	background-color: rgb(220 234 223 / 90%);
	box-shadow: 0 .1rem 0.2rem rgba(0,0,0,.15)!important;
}
nav button{
	color: #555!important;
}
nav a:hover,
nav button:hover{
	color: #333!important;
	text-decoration: none;
}
.dp-active{
	background-color: rgba(50,163,80,0.3);
}
.main-dp-active{
	border-bottom: 2px solid #D80017;
	border-radius: 0;
}
.edit_e_item,
.del_btn,
.del_deep_btn{
	padding: 2px;
}
.edit-icon{
	width: 20px;
}
.del-icon{
	width: 20px;
	fill: #f00;
}
.padding-bottom-0{
	padding-bottom: 0;
}
#custom-modal,
#custom-modal-2{
	opacity: 0.95;
	display: none;
}
#custom-modal.form-open,
#custom-modal-2.form-open{
	display: block;
	position: fixed;
}
#custom-modal .custom-modal-warp,
#custom-modal-2 .custom-modal-warp{
	padding: 1.5rem;
	background-color: #fff;
	margin: 25px auto;
	max-width: 42rem;
	border-radius: 10px;
    box-shadow: 2px 3px 10px #3b3b3b;
}
#custom-modal .custom-modal-warp h2,
#custom-modal-2 .custom-modal-warp h2{
	color: #000;
    text-align: center;
    font-size: 24px;
    font-weight: 600;
	margin-bottom: 15px;
}
#custom-modal .custom-modal-warp p,
#custom-modal-2 .custom-modal-warp p{
	text-align: center;
    margin-bottom: 25px;
}
.form_del{
	text-align: center;
}
.form_del button:hover{
	opacity: 0.7;
}
.sec_msg_success,
.sec_msg_fail{
	display: none;
}
#al_message,
.sec_msg_success,
.sec_msg_fail{
  	position: fixed!important;
    width: 100% - 250px;
    height: 60px;
    bottom: 20px;
    right: 0;
    text-align: center;
    font-weight: 600;
    font-size: 18px;
    z-index: 99999999;
}
header > div {
	display: flex;
    justify-content: space-between;
}
.form-table td{
	border-top: none;
}
.pad-l-0{
	padding-left: 0!important;
}
.pad-l-12{
	padding-left: 12px;
}
.save-btn img,
.submit-btn img{
	width: 20px;
	display: inline-block;
}
.display-flex{
	display: flex;
}
.settings_btn{
	padding: 0;
}
.bg-green{
	background-color: #0f8907;
}
.doc-file-upload{
	display: inline-grid;
    margin-right: 25px;
    text-align: center;
    position: relative;
}
.doc-file-upload .output{
	max-height: 50px;
	margin-left: auto;
	margin-right: auto;
}
.doc-file-upload .img-err-msg{
	max-width: 100px;
}
.doc-file-upload .dk-inp{
	max-width: 100px;
	position: absolute;
    height: 75px;
    opacity: 0;
    cursor: pointer;
}
.data_process{
	margin-top: 15px;
	display: inline-block;
}
.space-y-2 div{
	margin-top: 15px;
}
.no-table-striped tr{
	background-color: #fff!important;
}
.one-cl{
	display: flex;
    column-gap: 15px;
}
.one-cl div{
	display: flex;
	column-gap: 5px;
	min-width: 50px;
}
.table td, .table th{
	padding: 0.25rem;
}
.ap-pop{
	position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 5%;
    background-color: rgba(0,0,0,0.5);
    display: none;
}
.ap-pop.open{
	display: block;
}
.pop_save_btn,
.pop_cloase_btn{
	position: absolute;
    right: 5%;
    width: 40px;
    padding: 5px;
    background-color: #e7e7e7;
    box-shadow: 0px 1px 2px #9b9b9b;
}
.pop_save_btn{
	right: calc( 5% + 45px );
}
.cloase_btn:hover{
	box-shadow: 0px 1px 4px #000000;
}
.background-color-info{
	background-color: #17a2b8;
}
.display_none{
	display: none;
}
.sm-head{
	line-height: 42px;
}
.sm-head strong{
    background-color: #ffaeae;
    padding: 10px;
    border-radius: 5px;
}
.d_btn{
    display: block;
    margin-bottom: 2px;
    padding: 5px!important;
    text-align: center;
}
.set-tbl td{
	padding: 0.75rem;
}
label{
	margin-bottom: 0;
}
.lara-pagination span span span,
.lara-pagination a{
	background-color: rgb(0, 124, 5)!important;
	color: #fff;
}
.lara-pagination a,
.lara-pagination span.rounded-l-md{
	background-color: #DEECE5!important;
	color: #333;
}
.search-contain{
	display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    column-gap: 15px;
}
.search-contain label{
	width: 100%;
}
.search-contain select.form-control{
	height: 43px!important;
	background-image: none;
}
.search-contain .submit-btn button,
.search-contain .submit-btn a{
	height: 43px;
	margin-top: 4px;
	background-color: #1F2937;
}
.search-contain .submit-btn a{
	background-color: rgb(220,38,38);
}
.download_link{
	background-color: #DC2626;
    color: #fff;
    margin-top: 10px;
    border-radius: 5px;
    font-size: 14px;
    padding: 7px 3px;
}
.back-read{
	background-color: #DC2626;
	color: #fff;
}
.download_link:hover,
.back-read:hover{
	color: #fff;
	opacity: 0.7;
}
.display-block{
	display: block;
}
hr.sps{
    border-bottom: 1px solid #cbcbcb;
    margin: 15px 0;
}
.bck_lit{
	background-color: #DFECE5;
    padding: 7px 25px;
    border-radius: 5px;
}
select option[disabled] {
  background: rgb(224 224 224);
}
.bottom-nav .bg-white{
	border-top: 2px solid rgba(50,163,80,1);
    border-radius: 0;
}
.bottom-nav .bottom-content{
	justify-content: space-between;
	font-size: 12px;
}
.foo-info{
	border-top: 2px solid rgba(50,163,80,1);
}
h4.foo-title{
	font-size: 18px;
    font-weight: 600;
    text-decoration: underline;
    margin: 15px 0;
}
.foo-info img{
	max-width: 150px;
}
.foo-info p{
	font-size: 14px;
}
.foo-credit{
	background-color: rgba(50,163,80,1);
    text-align: center;
    color: #fff;
}
.foo-credit a{
	color: #fff;
}
.slider-side-content a{
	width: 100%;
    display: block;
    text-align: center;
    color: #fff;
    padding: 15px;
}
.slider-side-content a:hover{
	color: #fff;
	text-decoration: none;
}
.back_position{
	width: 100%;
	height: 250px;
	position: relative;  
	background-repeat: no-repeat;
	background-position: center center;
	background-size: cover;
}
.owl-nav{
	position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    width: 100%;
}
.owl-nav button{
	background-color: rgba(255,255,255,0.7)!important;
    font-size: 46px!important;
    line-height: 100px!important;
}
.owl-nav .owl-next{
	float: right;
}
.owl-nav button:focus,
.owl-dots button:focus{
	outline: none;
}
.owl-dots{
	text-align: center;
}
.owl-dots span{
	width: 12px;
    height: 12px;
    display: block;
    border: 1px solid #616161;
    border-radius: 50px;
    margin-right: 5px;
}
.owl-dots .active span{
	background-color: #616161;
}
.main_logo{
	-webkit-animation: main 20s linear 5s infinite;
	-moz-animation: main 20s linear 5s infinite;
	animation: main 20s linear 5s infinite;
}


@-webkit-keyframes main{
	from{ -webkit-transform: rotate(0deg); }
	5%{ -webkit-transform: rotate(180deg); }
	10%{ -webkit-transform: rotate(360deg); }
	50%{ -webkit-transform: rotate(360deg); }
	55%{ -webkit-transform: rotate(180deg); }
	60%{ -webkit-transform: rotate(0deg); }
	to{ -webkit-transform: rotate(0deg); }
}

@-moz-keyframes main{
	from{ -moz-transform: rotate(0deg); }
	5%{ -moz-transform: rotate(180deg); }
	10%{ -moz-transform: rotate(360deg); }
	50%{ -moz-transform: rotate(360deg); }
	55%{ -moz-transform: rotate(180deg); }
	60%{ -moz-transform: rotate(0deg); }
	to{ -moz-transform: rotate(0deg); }
}

@keyframes main{
	from{ transform: rotate(0deg); }
	5%{ transform: rotate(180deg); }
	10%{ transform: rotate(360deg); }
	50%{ transform: rotate(360deg); }
	55%{ transform: rotate(180deg); }
	60%{ transform: rotate(0deg); }
	to{ transform: rotate(0deg); }
}
.background-fade-read{
	background-color: #ffd3cf!important;
}
.no-border,
.no-border td{
	border: none;
}
.taka_sm{
	font-weight: 900;
}
.background-disabale{
    background-color: #959595;
}
.td-hilight{
	background-color: #DC2626;
	color: #fff;
	text-align: center;
}
.cl-gp-5{
	display: flex;
	column-gap: 5px;
}
.cl-gp-5 input{
	margin-top: 5px;
}
.space-between{
	justify-content: space-between;
	row-gap: 10px;
	column-gap: 10px;
}

.overflow-scroll{
	overflow-x: scroll;
}
.sub-active{
	display: block;
}


@media only screen and (min-width: 981px){
	.overflow-scroll::-webkit-scrollbar {
	    display: none;
	}
}
@media only screen and (max-width: 980px){
	.sm-table td{
		display: block;
	}
	.sm-table thead,
	.sm-table tfoot{
		display: none;
	}
	.search-contain{
		justify-content: flex-start;
	}
}
@media only screen and (max-width: 767px){
	.nv-dai{
		margin-left: auto;
		margin-right: auto;
	}
}